Agora Java API Reference for Android

Static Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.ErrorCode Class Reference

## Static Public Attributes
static final int | ERR_OK = Constants.ERR_OK
static final int | ERR_FAILED = Constants.ERR_FAILED
static final int | ERR_INVALID_ARGUMENT = Constants.ERR_INVALID_ARGUMENT
static final int | ERR_NOT_READY = Constants.ERR_NOT_READY
static final int | ERR_NOT_SUPPORTED = Constants.ERR_NOT_SUPPORTED
static final int | ERR_REFUSED = Constants.ERR_REFUSED
static final int | ERR_BUFFER_TOO_SMALL = Constants.ERR_BUFFER_TOO_SMALL
static final int | ERR_NOT_INITIALIZED = Constants.ERR_NOT_INITIALIZED
static final int | ERR_NO_PERMISSION = Constants.ERR_NO_PERMISSION
static final int | ERR_TIMEDOUT = Constants.ERR_TIMEDOUT
static final int | ERR_CANCELED = Constants.ERR_CANCELED
static final int | ERR_TOO_OFTEN = Constants.ERR_TOO_OFTEN
static final int | ERR_BIND_SOCKET = Constants.ERR_BIND_SOCKET
static final int | ERR_NET_DOWN = Constants.ERR_NET_DOWN
static final int | ERR_JOIN_CHANNEL_REJECTED = Constants.ERR_JOIN_CHANNEL_REJECTED
static final int | ERR_LEAVE_CHANNEL_REJECTED = Constants.ERR_LEAVE_CHANNEL_REJECTED
static final int | ERR_ALREADY_IN_USE = Constants.ERR_ALREADY_IN_USE
static final int | ERR_ABORTED = Constants.ERR_ABORTED
static final int | ERR_INIT_NET_ENGINE = Constants.ERR_INIT_NET_ENGINE
static final int | ERR_RESOURCE_LIMITED = Constants.ERR_RESOURCE_LIMITED
static final int | ERR_INVALID_APP_ID = Constants.ERR_INVALID_APP_ID
static final int | ERR_INVALID_CHANNEL_NAME = Constants.ERR_INVALID_CHANNEL_NAME
static final int | ERR_NO_SERVER_RESOURCES = Constants.ERR_NO_SERVER_RESOURCES
static final int | ERR_TOKEN_EXPIRED = Constants.ERR_TOKEN_EXPIRED
static final int | ERR_INVALID_TOKEN = Constants.ERR_INVALID_TOKEN
static final int | ERR_CONNECTION_INTERRUPTED = Constants.ERR_CONNECTION_INTERRUPTED
static final int | ERR_CONNECTION_LOST = Constants.ERR_CONNECTION_LOST
static final int | ERR_NOT_IN_CHANNEL = Constants.ERR_NOT_IN_CHANNEL
static final int | ERR_SIZE_TOO_LARGE = Constants.ERR_SIZE_TOO_LARGE
static final int | ERR_BITRATE_LIMIT = Constants.ERR_BITRATE_LIMIT
static final int | ERR_TOO_MANY_DATA_STREAMS = Constants.ERR_TOO_MANY_DATA_STREAMS
static final int | ERR_STREAM_MESSAGE_TIMEOUT = Constants.ERR_STREAM_MESSAGE_TIMEOUT
static final int | ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED
static final int | ERR_DECRYPTION_FAILED = Constants.ERR_DECRYPTION_FAILED
static final int | ERR_INVALID_USER_ID = Constants.ERR_INVALID_USER_ID
static final int | ERR_DATASTREAM_DECRYPTION_FAILED
static final int | ERR_CLIENT_IS_BANNED_BY_SERVER
static final int | ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH
static final int | ERR_LICENSE_CREDENTIAL_INVALID
static final int | ERR_INVALID_USER_ACCOUNT = Constants.ERR_INVALID_USER_ACCOUNT
static final int | ERR_MODULE_NOT_FOUND = Constants.ERR_MODULE_NOT_FOUND
static final int | ERR_LOAD_MEDIA_ENGINE = Constants.ERR_LOAD_MEDIA_ENGINE
static final int | ERR_ADM_GENERAL_ERROR = Constants.ERR_ADM_GENERAL_ERROR
static final int | ERR_ADM_INIT_PLAYOUT = Constants.ERR_ADM_INIT_PLAYOUT
static final int | ERR_ADM_START_PLAYOUT = Constants.ERR_ADM_START_PLAYOUT
static final int | ERR_ADM_STOP_PLAYOUT = Constants.ERR_ADM_STOP_PLAYOUT
static final int | ERR_ADM_INIT_RECORDING = Constants.ERR_ADM_INIT_RECORDING
static final int | ERR_ADM_START_RECORDING = Constants.ERR_ADM_START_RECORDING
static final int | ERR_ADM_STOP_RECORDING = Constants.ERR_ADM_STOP_RECORDING
static final int | ERR_VDM_CAMERA_NOT_AUTHORIZED = Constants.ERR_VDM_CAMERA_NOT_AUTHORIZED

## Detailed Description

The error codes.

## Member Data Documentation

## ◆ ERR_OK

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_OK = Constants.ERR_OK
| static

0: No error occurs.

## ◆ ERR_FAILED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_FAILED = Constants.ERR_FAILED
| static

1: A general error occurs (no specified reason).

## ◆ ERR_INVALID_ARGUMENT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_ARGUMENT = Constants.ERR_INVALID_ARGUMENT
| static

2: An invalid parameter is used. For example, the specific channel name includes illegal characters.

## ◆ ERR_NOT_READY

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NOT_READY = Constants.ERR_NOT_READY
| static

3: The SDK module is not ready. We recommend the following methods to solve this error:

- Check the audio device.
- Check the completeness of the app.
- Re-initialize the SDK.

## ◆ ERR_NOT_SUPPORTED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NOT_SUPPORTED = Constants.ERR_NOT_SUPPORTED
| static

4: The SDK does not support this function.

## ◆ ERR_REFUSED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_REFUSED = Constants.ERR_REFUSED
| static

5: The request is rejected. This is for internal SDK internal use only, and is not return to the app through any API or callback event.

## ◆ ERR_BUFFER_TOO_SMALL

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_BUFFER_TOO_SMALL = Constants.ERR_BUFFER_TOO_SMALL
| static

6: The buffer size is not big enough to store the returned data.

## ◆ ERR_NOT_INITIALIZED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NOT_INITIALIZED = Constants.ERR_NOT_INITIALIZED
| static

7: The SDK is not initialized before calling this API.

## ◆ ERR_NO_PERMISSION

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NO_PERMISSION = Constants.ERR_NO_PERMISSION
| static

9: No permission. Check if the user has granted access to the audio or video device.

## ◆ ERR_TIMEDOUT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_TIMEDOUT = Constants.ERR_TIMEDOUT
| static

10: An API timeout. Some APIs require the SDK to return the execution result, and this error occurs if the request takes too long for the SDK to process.

## ◆ ERR_CANCELED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_CANCELED = Constants.ERR_CANCELED
| static

11: The request is cancelled. This is for internal SDK internal use only, and is not return to the application through any API or callback event.

## ◆ ERR_TOO_OFTEN

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_TOO_OFTEN = Constants.ERR_TOO_OFTEN
| static

12: The call frequency is too high. This is for internal SDK internal use only, and is not return to the application through any API or callback event.

## ◆ ERR_BIND_SOCKET

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_BIND_SOCKET = Constants.ERR_BIND_SOCKET
| static

13: The SDK fails to bind to the network socket. This is for internal SDK internal use only, and is not returned to the app through any method or callback.

## ◆ ERR_NET_DOWN

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NET_DOWN = Constants.ERR_NET_DOWN
| static

14: The network is unavailable. This is for internal SDK internal use only, and is not return to the application through any API or callback event.

## ◆ ERR_JOIN_CHANNEL_REJECTED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_JOIN_CHANNEL_REJECTED = Constants.ERR_JOIN_CHANNEL_REJECTED
| static

17: The request to join the channel is rejected. This error usually occurs when:

- The user is already in the channel, and still calls the API to join the channel
- The user tries to join the channel during echo test. Wait until the echo test is finished.

## ◆ ERR_LEAVE_CHANNEL_REJECTED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_LEAVE_CHANNEL_REJECTED = Constants.ERR_LEAVE_CHANNEL_REJECTED
| static

18: The request to leave the channel is rejected. This error usually occurs:

- When the user left the channel and still calls the API to leave the channel. This error stops once the user stops calling the method.
- When the user calls `leaveChannel` before joining the channel. No extra operation is needed.

## ◆ ERR_ALREADY_IN_USE

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ALREADY_IN_USE = Constants.ERR_ALREADY_IN_USE
| static

19: Resources are occupied, and cannot be reused.

## ◆ ERR_ABORTED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ABORTED = Constants.ERR_ABORTED
| static

20: The SDK gives up the request due to too many requests. This is for internal use only, and does not return to the app through any method or callback.

## ◆ ERR_INIT_NET_ENGINE

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INIT_NET_ENGINE = Constants.ERR_INIT_NET_ENGINE
| static

21: On Windows, specific firewall settings can cause the SDK to fail to initialize and crash.

## ◆ ERR_RESOURCE_LIMITED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_RESOURCE_LIMITED = Constants.ERR_RESOURCE_LIMITED
| static

22: The app uses too much of the system resource and the SDK fails to allocate any resource.

## ◆ ERR_INVALID_APP_ID

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_APP_ID = Constants.ERR_INVALID_APP_ID
| static

101: The specified App ID is invalid. Please try to rejoin the channel with a valid App ID.

## ◆ ERR_INVALID_CHANNEL_NAME

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_CHANNEL_NAME = Constants.ERR_INVALID_CHANNEL_NAME
| static

102: The specified channel name is invalid. Please try to rejoin the channel with a valid channel name.

## ◆ ERR_NO_SERVER_RESOURCES

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NO_SERVER_RESOURCES = Constants.ERR_NO_SERVER_RESOURCES
| static

103: Fails to get server resources in the specified region.

## ◆ ERR_TOKEN_EXPIRED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_TOKEN_EXPIRED = Constants.ERR_TOKEN_EXPIRED
| static

109: The token expired due to one of the following reasons:

- Authorized Timestamp expired: The timestamp is represented by the number of seconds elapsed since 1/1/1970. The user can use the Token to access the Agora service within 24 hours after the Token is generated. If the user does not access the Agora service within 24 hours, this Token will no longer be valid.
- Call Expiration Timestamp expired: The timestamp is the exact time when a user can no longer use the Agora service (for example, when a user is forced to leave an ongoing call). When a value is set for the Call Expiration Timestamp, it does not mean that the Dynamic Key will expire, but that the user will be banned from the channel.

## ◆ ERR_INVALID_TOKEN

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_TOKEN = Constants.ERR_INVALID_TOKEN
| static

110: The token is invalid due to one of the following reasons:

- The App Certificate for the project is enabled in Console, but the user is still using the App ID.
- Once the App Certificate is enabled, the user must use a token. The uid is mandatory, and users must set the same uid as the one set in the `joinChannel` method.

## ◆ ERR_CONNECTION_INTERRUPTED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_CONNECTION_INTERRUPTED = Constants.ERR_CONNECTION_INTERRUPTED
| static

111: The CONNECTION_INTERRUPTED callback. This applies to the Agora Web SDK only.

## ◆ ERR_CONNECTION_LOST

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_CONNECTION_LOST = Constants.ERR_CONNECTION_LOST
| static

112: The CONNECTION_LOST callback. This applies to the Agora Web SDK only.

## ◆ ERR_NOT_IN_CHANNEL

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_NOT_IN_CHANNEL = Constants.ERR_NOT_IN_CHANNEL
| static

113: The user is not in the channel.

## ◆ ERR_SIZE_TOO_LARGE

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_SIZE_TOO_LARGE = Constants.ERR_SIZE_TOO_LARGE
| static

114: The data size is too big.

## ◆ ERR_BITRATE_LIMIT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_BITRATE_LIMIT = Constants.ERR_BITRATE_LIMIT
| static

115: The bitrate is limited.

## ◆ ERR_TOO_MANY_DATA_STREAMS

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_TOO_MANY_DATA_STREAMS = Constants.ERR_TOO_MANY_DATA_STREAMS
| static

116: Too many data streams.

## ◆ ERR_STREAM_MESSAGE_TIMEOUT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_STREAM_MESSAGE_TIMEOUT = Constants.ERR_STREAM_MESSAGE_TIMEOUT
| static

117: A timeout occurs for the data stream transmission.

## ◆ ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED
| static

Initial value:
=
Constants.ERR_SET_CLIENT_ROLE_NOT_AUTHORIZED

119: Switching the user role fails. Please try to rejoin the channel.

## ◆ ERR_DECRYPTION_FAILED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_DECRYPTION_FAILED = Constants.ERR_DECRYPTION_FAILED
| static

120: Media stream decryption fails. The user may have used a different encryption password to join the channel. Please check your settings or try rejoining the channel.

## ◆ ERR_INVALID_USER_ID

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_USER_ID = Constants.ERR_INVALID_USER_ID
| static

121: The user ID is invalid.

## ◆ ERR_DATASTREAM_DECRYPTION_FAILED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_DATASTREAM_DECRYPTION_FAILED
| static

Initial value:
=
Constants.ERR_DATASTREAM_DECRYPTION_FAILED

122: Data stream decryption fails. The user may have used a different encryption password to join the channel or did't enable datastream encryption. Please check your settings or try rejoining the channel.

## ◆ ERR_CLIENT_IS_BANNED_BY_SERVER

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_CLIENT_IS_BANNED_BY_SERVER
| static

Initial value:
=
Constants.ERR_CLIENT_IS_BANNED_BY_SERVER

123: The client is banned by the server.

## ◆ ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH
| static

Initial value:
=
Constants.ERR_ENCRYPTED_STREAM_NOT_ALLOWED_PUBLISH

130: Encryption is enabled when the user calls the {addPublishStreamUrl} method (CDN live streaming does not support encrypted streams).

## ◆ ERR_LICENSE_CREDENTIAL_INVALID

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_LICENSE_CREDENTIAL_INVALID
| static

Initial value:
=
Constants.ERR_LICENSE_CREDENTIAL_INVALID

131: License credential is invalid

## ◆ ERR_INVALID_USER_ACCOUNT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_INVALID_USER_ACCOUNT = Constants.ERR_INVALID_USER_ACCOUNT
| static

134: The user account is invalid, usually because the data format of the user account is incorrect.

## ◆ ERR_MODULE_NOT_FOUND

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_MODULE_NOT_FOUND = Constants.ERR_MODULE_NOT_FOUND
| static

157: The extension library is not integrated, such as the library for enabling deep-learning noise reduction.

## ◆ ERR_LOAD_MEDIA_ENGINE

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_LOAD_MEDIA_ENGINE = Constants.ERR_LOAD_MEDIA_ENGINE
| static

1001: Fails to load the media engine.

## ◆ ERR_ADM_GENERAL_ERROR

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_GENERAL_ERROR = Constants.ERR_ADM_GENERAL_ERROR
| static

1005: General error on the audio device module (no specified reason).

## ◆ ERR_ADM_INIT_PLAYOUT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_INIT_PLAYOUT = Constants.ERR_ADM_INIT_PLAYOUT
| static

1008: Audio Device Module: An error occurs in initializing the playback device.

## ◆ ERR_ADM_START_PLAYOUT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_START_PLAYOUT = Constants.ERR_ADM_START_PLAYOUT
| static

1009: Audio Device Module: An error occurs when starting the playback device.

## ◆ ERR_ADM_STOP_PLAYOUT

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_STOP_PLAYOUT = Constants.ERR_ADM_STOP_PLAYOUT
| static

1010: Audio Device Module: An error occurs when stopping the playback device.

## ◆ ERR_ADM_INIT_RECORDING

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_INIT_RECORDING = Constants.ERR_ADM_INIT_RECORDING
| static

1011: Audio Device Module: An error occurs when initializing the recording device.

## ◆ ERR_ADM_START_RECORDING

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_START_RECORDING = Constants.ERR_ADM_START_RECORDING
| static

1012: Audio Device Module: An error occurs when starting the recording device.

## ◆ ERR_ADM_STOP_RECORDING

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_ADM_STOP_RECORDING = Constants.ERR_ADM_STOP_RECORDING
| static

1013: Audio Device Module: An error occurs when stopping the recording device.

## ◆ ERR_VDM_CAMERA_NOT_AUTHORIZED

final int io.agora.rtc2.IRtcEngineEventHandler.ErrorCode.ERR_VDM_CAMERA_NOT_AUTHORIZED = Constants.ERR_VDM_CAMERA_NOT_AUTHORIZED
| static

1501: Video Device Module: The camera is not authorized.